For AI agents: a documentation index is available at the root level at /llms.txt and /llms-full.txt. Append /llms.txt to any URL for a page-level index, or .md for the markdown version of any page.
SupportDeel Home
OverviewPlatformEmployer of RecordContractorsGlobal PayrollHREmbeddedDeel ITAPI ReferenceChangelog
OverviewPlatformEmployer of RecordContractorsGlobal PayrollHREmbeddedDeel ITAPI ReferenceChangelog
  • Resources
    • Blog
    • Community
    • API spec
  • Platform
    • Introduction
    • Screenings
    • Immigration
  • Endpoints
      • POSTCreate a webhook
      • DELDelete a webhook
      • PATCHEdit a webhook
      • GETList of webhook event types
      • GETList of webhooks
      • GETRetrieve a single webhook
LogoLogo
SupportDeel Home
EndpointsWebhooks

List of webhooks

GET
/webhooks
GET
/rest/v2/webhooks
$curl https://api.letsdeel.com/rest/v2/webhooks \
> -H "Authorization: Bearer <token>" \
> -H "Content-Type: application/json"
1{
2 "data": [
3 {
4 "id": "a3f1c9e2-7b4d-4f2a-9c3e-1d2b5f6a7e8c",
5 "name": "Invoice Notifications",
6 "description": "Webhook for invoice creation events",
7 "status": "enabled",
8 "url": "https://hooks.example.com/invoice",
9 "signing_key": "b7f3d9a1c5e8f2b4d6a7c9e0f1b2d3c4",
10 "api_version": "v2",
11 "events": [
12 "invoice.created",
13 "invoice.paid"
14 ],
15 "created_at": "2024-05-10T09:15:00Z",
16 "updated_at": "2024-05-15T12:00:00Z",
17 "hidden": false,
18 "internal": false,
19 "deleted_at": null
20 }
21 ]
22}
Retrieve a list of webhook subscriptions.
Was this page helpful?
Previous

Retrieve a single webhook

Next
Built with

Authentication

AuthorizationBearer
## Authentication The Deel API uses bearer tokens to authenticate requests. All API calls must be made over HTTPS — calls over plain HTTP or without authentication will fail. ```curl curl -X GET 'https://api.letsdeel.com/rest/v2/contracts' \ -H 'Authorization: Bearer YOUR-TOKEN-HERE' ``` [Learn more about authentication](/api/authentication)
OR
AuthorizationBearer

Standard OAuth2 security scheme based on https://swagger.io/docs/specification/authentication/

Response

successful operation
datalist of objects

Errors

400
Bad Request Error
401
Unauthorized Error
403
Forbidden Error
404
Not Found Error
405
Method Not Allowed Error
429
Too Many Requests Error
500
Internal Server Error

Authentication

The Deel API uses bearer tokens to authenticate requests. All API calls must be made over HTTPS — calls over plain HTTP or without authentication will fail.

1curl -X GET 'https://api.letsdeel.com/rest/v2/contracts' \
2 -H 'Authorization: Bearer YOUR-TOKEN-HERE'

Learn more about authentication